/**
 * $Id: ControllerMode.java,v 1.2 2006/11/20 01:13:35 nishi Exp $
 */
package galatea.dialog;

class ControllerMode {
	private boolean endFlag_ = false;
	private boolean endImmFlag_ = false;
	private boolean pauseMode_ = false;
	private boolean statelessMode_ = false;
	public boolean isEnd() {
		return endFlag_;
	}
	public void setEndFlag(boolean endFlag_) {
		this.endFlag_ = endFlag_;
	}
	public boolean isEndImm() {
		return endImmFlag_;
	}
	public void setEndImm(boolean endImmFlag_) {
		this.endImmFlag_ = endImmFlag_;
	}
	public boolean isPauseMode() {
		return pauseMode_;
	}
	public void setPauseMode(boolean pauseMode_) {
		this.pauseMode_ = pauseMode_;
	}
	public boolean isStatelessMode() {
		return statelessMode_;
	}
	public void setStatelessMode(boolean statelessMode) {
		this.statelessMode_ = statelessMode;
	}
}